;/*--------------------------------------------------------------------------*\
; | SBKMODEL.INC                                                             |
;\*--------------------------------------------------------------------------*/

      .NOLIST


IFNDEF _SBKMODEL_INC   ;------------------------------------------------------^
    _MODEL_INC   EQU 1
      

IFNDEF MemModel
    MemModel EQU <clang>
    ECHO --- NOTE: default memory model is clang
ENDIF


IFIDNI MemModel, <tpascal>
    CODE SEGMENT WORD PUBLIC 'CODE'
    CODE ENDS

    .MODEL large, PASCAL
    ECHO --- assemble for TURBO PASCAL ---
ELSEIFIDNI MemModel, <clang>
    .MODEL large, C
    ECHO --- assemble for LARGE model ---
ELSEIFIDNI MemModel, <mbasic>
    ;
    ; use C calling convention for Basic
    ;
    .MODEL large, C
    ECHO --- assemble for BASIC model ---
ENDIF


IFIDNI MemModel, <tpascal>
    CodeSegmentName EQU CODE
ELSE
    IF @CodeSize
        CodeSegmentName EQU CT_TEXT
    ELSE
        CodeSegmentName EQU _TEXT
    ENDIF
ENDIF

    IF @DataSize
loaddsIF    TEXTEQU     <LOADDS>
    ELSE
loaddsIF    TEXTEQU     <>
    ENDIF


ENDIF   ; IFNDEF _SBKMODEL_INC -----------------------------------------------v


   .LIST

